Subject: bug#50658: Error messages including function names violates coding conventions

From: Stefan Kangas <[email-masked]>
Date: Tue, 28 Sep 2021 05:11:23 -0700

Eli Zaretskii <[email-masked]> writes:

>> +Invalid input''.  This convention is better avoided in most cases.
>
> That last sentence is unexpected, and seems to contradict everything
> you wrote before it.  Which convention should be avoided, and why?

To be honest, I was a bit unsure about this sentence.  I guess I'm
trying to say "don't overdo it" or "don't do it by default just because
you can".

But perhaps this is already clear from the rest of the text?